import 'package:flutter/material.dart';
import 'package:kasy_kit/core/theme/theme.dart';

class PremiumCard extends StatelessWidget {
  final Color bgColor;
  final Widget child;

  const PremiumCard({super.key, required this.bgColor, required this.child});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: bgColor,
        borderRadius: KasyRadius.lgBorderRadius,
      ),
      padding: const EdgeInsets.fromLTRB(
        KasySpacing.lg,
        KasySpacing.lg,
        KasySpacing.lg,
        KasySpacing.smd,
      ),
      child: child,
    );
  }
}
